Skip to main content
POST
[Compute] Keep the service with a loyalty discount

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
reason_code
enum<string>
required
  • too_expensive - Too expensive
  • switching_provider - Moving to another provider
Available options:
too_expensive,
switching_provider

Response

Discount accepted

id
string<uuid>
required
discount_percent
integer
required
invoices
integer
required
status
enum<string>
required
  • active - Active
  • completed - Completed
  • cancelled - Cancelled
Available options:
active,
completed,
cancelled